<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/TrackStateConst.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackStateConst.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_track_state_const_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_8h.html">eicd/TrackState.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_const_8h.html">eicd/TrackStateConst.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_obj_8h.html">eicd/TrackStateObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_data_8h.html">eicd/TrackStateData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_collection_8h.html">eicd/TrackStateCollection.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a05c939bf7934149660a36984a908862b">   16</a></span>&#160;<a class="code" href="classeic_1_1_const_track_state.html#a05c939bf7934149660a36984a908862b">ConstTrackState::ConstTrackState</a>() : m_obj(new <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>()) {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a88578274f8f3b8330b6dfeb17573b75e">   20</a></span>&#160;<a class="code" href="classeic_1_1_const_track_state.html#a05c939bf7934149660a36984a908862b">ConstTrackState::ConstTrackState</a>(<span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_track_state.html#a3b10660cf4d43d370dae9f300b015946">location</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_track_state.html#a5d5c78b64030c0acb20d4ece66a45874">d0</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_track_state.html#a5f1642a604e7905ff1b5385bd71c5086">phi</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_track_state.html#a18f8c720e40d2484344cb65fae4f36f2">omega</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_track_state.html#aa4b5f9cef4bc750906f8c10cc1aa53b0">z0</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_track_state.html#a71d5910232111b27923f82d3443b2278">tanLambda</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_const_track_state.html#ab3b85bcda0690ad28b44b8898a858d7b">referencePoint</a>) : m_obj(new <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>()) {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">location</a> = <a class="code" href="classeic_1_1_const_track_state.html#a3b10660cf4d43d370dae9f300b015946">location</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">d0</a> = <a class="code" href="classeic_1_1_const_track_state.html#a5d5c78b64030c0acb20d4ece66a45874">d0</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">phi</a> = <a class="code" href="classeic_1_1_const_track_state.html#a5f1642a604e7905ff1b5385bd71c5086">phi</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">omega</a> = <a class="code" href="classeic_1_1_const_track_state.html#a18f8c720e40d2484344cb65fae4f36f2">omega</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">z0</a> = <a class="code" href="classeic_1_1_const_track_state.html#aa4b5f9cef4bc750906f8c10cc1aa53b0">z0</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">tanLambda</a> = <a class="code" href="classeic_1_1_const_track_state.html#a71d5910232111b27923f82d3443b2278">tanLambda</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a> = <a class="code" href="classeic_1_1_const_track_state.html#ab3b85bcda0690ad28b44b8898a858d7b">referencePoint</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a95435a226f6f14e7b4dfb9e3562372a6">   31</a></span>&#160;<a class="code" href="classeic_1_1_const_track_state.html#a05c939bf7934149660a36984a908862b">ConstTrackState::ConstTrackState</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>&amp; other) : m_obj(other.m_obj) {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#aa246f4338898ab5ba518b8e6ae904a28">   35</a></span>&#160;<a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>&amp; <a class="code" href="classeic_1_1_const_track_state.html#aa246f4338898ab5ba518b8e6ae904a28">ConstTrackState::operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>&amp; other) {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  m_obj = other.m_obj;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;}</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a16eda1670db74caaf1099453369fb488">   41</a></span>&#160;<a class="code" href="classeic_1_1_const_track_state.html#a05c939bf7934149660a36984a908862b">ConstTrackState::ConstTrackState</a>( <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>* obj) : m_obj(obj) {</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;acquire();</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;}</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a7211e8944574719c9340a6878735441a">   45</a></span>&#160;<a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a> <a class="code" href="classeic_1_1_const_track_state.html#a7211e8944574719c9340a6878735441a">ConstTrackState::clone</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  <span class="keywordflow">return</span> {<span class="keyword">new</span> <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>(*m_obj)};</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;}</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#abdb41ecbed651b3eaf9de79269caa4b6">   49</a></span>&#160;<a class="code" href="classeic_1_1_const_track_state.html#abdb41ecbed651b3eaf9de79269caa4b6">ConstTrackState::~ConstTrackState</a>() {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;}</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a3b10660cf4d43d370dae9f300b015946">   52</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_const_track_state.html#a3b10660cf4d43d370dae9f300b015946">ConstTrackState::location</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">location</a>; }</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a5d5c78b64030c0acb20d4ece66a45874">   53</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_track_state.html#a5d5c78b64030c0acb20d4ece66a45874">ConstTrackState::d0</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">d0</a>; }</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a5f1642a604e7905ff1b5385bd71c5086">   54</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_track_state.html#a5f1642a604e7905ff1b5385bd71c5086">ConstTrackState::phi</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">phi</a>; }</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a18f8c720e40d2484344cb65fae4f36f2">   55</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_track_state.html#a18f8c720e40d2484344cb65fae4f36f2">ConstTrackState::omega</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">omega</a>; }</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#aa4b5f9cef4bc750906f8c10cc1aa53b0">   56</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_track_state.html#aa4b5f9cef4bc750906f8c10cc1aa53b0">ConstTrackState::z0</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">z0</a>; }</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a71d5910232111b27923f82d3443b2278">   57</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_track_state.html#a71d5910232111b27923f82d3443b2278">ConstTrackState::tanLambda</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">tanLambda</a>; }</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#ab3b85bcda0690ad28b44b8898a858d7b">   58</a></span>&#160;<span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_const_track_state.html#ab3b85bcda0690ad28b44b8898a858d7b">ConstTrackState::referencePoint</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a>; }</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a6a7f7960f0d906f06bbb5c919593f1b9">   59</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_track_state.html#ab3b85bcda0690ad28b44b8898a858d7b">ConstTrackState::referencePoint</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">data</a>.<a class="code" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a>.at(i); }</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a2e3c9918ce03ca16a0a8f4f1ab059ad2">   66</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_track_state.html#a2e3c9918ce03ca16a0a8f4f1ab059ad2">ConstTrackState::isAvailable</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  }</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;}</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#a8904e788466197b564802aa37a5ee1e7">   73</a></span>&#160;<span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_track_state.html#a8904e788466197b564802aa37a5ee1e7">ConstTrackState::getObjectID</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;id;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  }</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keywordflow">return</span> podio::ObjectID{podio::ObjectID::invalid, podio::ObjectID::invalid};</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;}</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track_state.html#af1f313d3864a69175ed816877ed8d989">   80</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_track_state.html#a9155e0da423af27fa78b2e8e2e0fe44b">ConstTrackState::operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keywordflow">return</span> m_obj == other.m_obj;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;}</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="ttc" id="classeic_1_1_const_track_state_html_ab3b85bcda0690ad28b44b8898a858d7b"><div class="ttname"><a href="classeic_1_1_const_track_state.html#ab3b85bcda0690ad28b44b8898a858d7b">eic::ConstTrackState::referencePoint</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; referencePoint() const</div><div class="ttdoc">Access the Reference point of the track parameters. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00058">TrackStateConst.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a1fc4f68304748e87167b6e54a60a0eb2"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">eic::TrackStateData::phi</a></div><div class="ttdeci">float phi</div><div class="ttdoc">Phi of the track at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00019">TrackStateData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_obj_html_a28fc1f1450a4cf1fd106d86e3b1ff540"><div class="ttname"><a href="classeic_1_1_track_state_obj.html#a28fc1f1450a4cf1fd106d86e3b1ff540">eic::TrackStateObj::data</a></div><div class="ttdeci">TrackStateData data</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_obj_8h_source.html#l00030">TrackStateObj.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a7211e8944574719c9340a6878735441a"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a7211e8944574719c9340a6878735441a">eic::ConstTrackState::clone</a></div><div class="ttdeci">ConstTrackState clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00045">TrackStateConst.cc:45</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_ab6188d17e65916c7f01bb56648f863cf"><div class="ttname"><a href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">eic::TrackStateData::d0</a></div><div class="ttdeci">float d0</div><div class="ttdoc">Impact parameter of the track in (r-phi). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00018">TrackStateData.h:18</a></div></div>
<div class="ttc" id="_track_state_data_8h_html"><div class="ttname"><a href="_track_state_data_8h.html">TrackStateData.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a8904e788466197b564802aa37a5ee1e7"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a8904e788466197b564802aa37a5ee1e7">eic::ConstTrackState::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00073">TrackStateConst.cc:73</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a18f8c720e40d2484344cb65fae4f36f2"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a18f8c720e40d2484344cb65fae4f36f2">eic::ConstTrackState::omega</a></div><div class="ttdeci">const float &amp; omega() const</div><div class="ttdoc">Access the Omega is the signed curvature of the track in [1/mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00055">TrackStateConst.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_aa4b5f9cef4bc750906f8c10cc1aa53b0"><div class="ttname"><a href="classeic_1_1_const_track_state.html#aa4b5f9cef4bc750906f8c10cc1aa53b0">eic::ConstTrackState::z0</a></div><div class="ttdeci">const float &amp; z0() const</div><div class="ttdoc">Access the Impact parameter of the track in (r-z). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00056">TrackStateConst.cc:56</a></div></div>
<div class="ttc" id="_track_state_obj_8h_html"><div class="ttname"><a href="_track_state_obj_8h.html">TrackStateObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a5f1642a604e7905ff1b5385bd71c5086"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a5f1642a604e7905ff1b5385bd71c5086">eic::ConstTrackState::phi</a></div><div class="ttdeci">const float &amp; phi() const</div><div class="ttdoc">Access the Phi of the track at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00054">TrackStateConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html"><div class="ttname"><a href="classeic_1_1_track_state.html">eic::TrackState</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8h_source.html#l00026">TrackState.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a05c939bf7934149660a36984a908862b"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a05c939bf7934149660a36984a908862b">eic::ConstTrackState::ConstTrackState</a></div><div class="ttdeci">ConstTrackState()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00016">TrackStateConst.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a2044a34486e38724b5a95e6edb472967"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">eic::TrackStateData::location</a></div><div class="ttdeci">int location</div><div class="ttdoc">The location of the track state. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00017">TrackStateData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a1935a4a9ae2fa587d26e449925624e91"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">eic::TrackStateData::referencePoint</a></div><div class="ttdeci">std::array&lt; float, 3 &gt; referencePoint</div><div class="ttdoc">Reference point of the track parameters. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00023">TrackStateData.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_abdb41ecbed651b3eaf9de79269caa4b6"><div class="ttname"><a href="classeic_1_1_const_track_state.html#abdb41ecbed651b3eaf9de79269caa4b6">eic::ConstTrackState::~ConstTrackState</a></div><div class="ttdeci">~ConstTrackState()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00049">TrackStateConst.cc:49</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a3b10660cf4d43d370dae9f300b015946"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a3b10660cf4d43d370dae9f300b015946">eic::ConstTrackState::location</a></div><div class="ttdeci">const int &amp; location() const</div><div class="ttdoc">Access the The location of the track state. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00052">TrackStateConst.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_aa246f4338898ab5ba518b8e6ae904a28"><div class="ttname"><a href="classeic_1_1_const_track_state.html#aa246f4338898ab5ba518b8e6ae904a28">eic::ConstTrackState::operator=</a></div><div class="ttdeci">ConstTrackState &amp; operator=(const ConstTrackState &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00035">TrackStateConst.cc:35</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html"><div class="ttname"><a href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8h_source.html#l00024">TrackStateConst.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a03739d2c99c5c5aa2c52f70fe40485c2"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">eic::TrackStateData::tanLambda</a></div><div class="ttdeci">float tanLambda</div><div class="ttdoc">Lambda is the dip angle of the track in r-z at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00022">TrackStateData.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a5d5c78b64030c0acb20d4ece66a45874"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a5d5c78b64030c0acb20d4ece66a45874">eic::ConstTrackState::d0</a></div><div class="ttdeci">const float &amp; d0() const</div><div class="ttdoc">Access the Impact parameter of the track in (r-phi). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00053">TrackStateConst.cc:53</a></div></div>
<div class="ttc" id="_track_state_8h_html"><div class="ttname"><a href="_track_state_8h.html">TrackState.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_obj_html"><div class="ttname"><a href="classeic_1_1_track_state_obj.html">eic::TrackStateObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_obj_8h_source.html#l00018">TrackStateObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a9155e0da423af27fa78b2e8e2e0fe44b"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a9155e0da423af27fa78b2e8e2e0fe44b">eic::ConstTrackState::operator==</a></div><div class="ttdeci">bool operator==(const ConstTrackState &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8h_source.html#l00084">TrackStateConst.h:84</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a71d5910232111b27923f82d3443b2278"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a71d5910232111b27923f82d3443b2278">eic::ConstTrackState::tanLambda</a></div><div class="ttdeci">const float &amp; tanLambda() const</div><div class="ttdoc">Access the Lambda is the dip angle of the track in r-z at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00057">TrackStateConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html_a2e3c9918ce03ca16a0a8f4f1ab059ad2"><div class="ttname"><a href="classeic_1_1_const_track_state.html#a2e3c9918ce03ca16a0a8f4f1ab059ad2">eic::ConstTrackState::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8cc_source.html#l00066">TrackStateConst.cc:66</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a6a2de5a63e5aa2f0d5d60f2182271f39"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">eic::TrackStateData::omega</a></div><div class="ttdeci">float omega</div><div class="ttdoc">Omega is the signed curvature of the track in [1/mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00020">TrackStateData.h:20</a></div></div>
<div class="ttc" id="_track_state_const_8h_html"><div class="ttname"><a href="_track_state_const_8h.html">TrackStateConst.h</a></div></div>
<div class="ttc" id="_track_state_collection_8h_html"><div class="ttname"><a href="_track_state_collection_8h.html">TrackStateCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_data_html_a31d6fae15509d30728ae39f637bac0ee"><div class="ttname"><a href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">eic::TrackStateData::z0</a></div><div class="ttdeci">float z0</div><div class="ttdoc">Impact parameter of the track in (r-z). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_data_8h_source.html#l00021">TrackStateData.h:21</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
